summaryrefslogtreecommitdiff
path: root/tclap-1.2.1/tests/test61.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tclap-1.2.1/tests/test61.sh')
-rw-r--r--tclap-1.2.1/tests/test61.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tclap-1.2.1/tests/test61.sh b/tclap-1.2.1/tests/test61.sh
new file mode 100644
index 0000000..a402880
--- /dev/null
+++ b/tclap-1.2.1/tests/test61.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# this tests a bug in handling of - chars in Unlabeled args
+# success
+../examples/test2 -i 10 -s hello "-1 -1" > tmp.out 2>&1
+
+if cmp -s tmp.out $srcdir/test61.out; then
+ exit 0
+else
+ exit 1
+fi
+